title "Logistic Regression, Arthritis Treatment data".
data list file='k:\home\sasuser\psy6140\data\arthrit.dat' fixed /
     case 1-2 id 4-5 treat 7 sex 9 age 11-13 improve 15.
 
recode improve (0=0) (else=1) into better.
 
value labels
    treat 0 'Placebo'      1 'Treated' /
    sex   1 'Female'       2 'Male'.
 
logistic regression better with treat sex age /
  categorical=treat sex/
  contrast(treat) = indicator(1) /
  contrast(sex  ) = indicator(2) /
 
  casewise = pred resid sresid outlier  /
 
  save lresid(rlogit) sresid(rstudent)
       lever(hatvalue) cook(cookd)
       pred(predict).
 
var labels
  rlogit 'Logit Residual'/
  rstudent 'Studentized Residual'/
  cookd "Cook's D".
 
plot /hsize=70  /vertical=min(0) max(1)
     /symbol='*#@'
     /plot=predict with age .
