*--------------------------------------------------------------------+
|               SOCIOECONOMIC DATA FOR 35 COUNTRIES                  |
|                                                                    |
|Percent of population below age 15 and above age 75, per capita dis-|
|posable income in US dollars, percent saving rate, and  percent con-|
|tribution to the gross domestic product (GDP) of  agriculture (AGR),|
|manufacturing and construction (MFG), and service including  govern-|
|ment (SER) for 35 countries. Data are believed to be for 1970.      |
|                                                                    |
|Source: J Chambers et al. (eds.), Graphical Methods of Data Analysis|
|        1983, page 346.                                             |
|                                                                    |
*--------------------------------------------------------------------;
Data SOCECO;
    INPUT CTY $ 1-3 PLACE $ 1-17 BEL15 ABOV75 DISINC SAVE AGR MFG SER;
    LABEL   PLACE=COUNTRY
            BEL15=PERCENT POP. BELOW AGE 15
            ABOV75=PERCENT POP. ABOVE AGE 75
            DISINC=PER CAPITA DISPOSABLE INCOME
            SAVE=SAVINGS RATE
            AGR=AGRICULTURE CONTRIBUTION TO GDP
            MFG=MANUFACTURING CONTRIBUTION TO GDP
            SER=SERVICE CONTRIBUTION TO GDP;
CARDS;
AUSTRALIA               29  3  2330  11   6  36  58
BOLIVIA                 42  2   189   6  16  34  50
BRAZIL                  42  1   728  13  12  26  62
CANADA                  32  3  2983   9   4  31  65
CHILE                   40  1   663   1   7  43  50
COSTA RICA              48  1   471  11  23  24  53
DENMARK                 24  4  2497  17   7  38  55
ECUADOR                 46  1   288   4  27  22  51
FINLAND                 28  2  1681  11  12  38  50
GERMANY                 23  3  2457  13   3  54  43
GREECE                  26  3   871  11  16  27  57
HONDURAS                47  1   232   8  31  21  48
INDIA                   41  1    89   9  43  20  37
ITALY                   25  3  1391  14   9  42  49
JAPAN                   27  2  1257  21   6  45  49
KOREA                   42  1   208   4  28  31  41
LIBYA                   44  2   124   9   2  70  28
LUXEMBOURG              22  4  2449  10   4  52  44
MALAYSIA                47  1   243   5  30  28  42
NETHERLANDS             25  3  1741  15   6  39  55
NICARAGUA               45  1   326   7  25  26  49
PANAMA                  44  1   569   4  19  24  57
PARAGUAY                41  1   221   2  32  21  47
PERU                    44  1   400  13  17  35  48
PORTUGAL                29  3   580  12  16  41  43
SOUTH AFRICA            32  2   651  11   8  41  51
SPAIN                   28  3   769  12  11  37  52
SWEDEN                  21  5  3299   7   4  39  57
TURKEY                  43  1   390   5  27  29  44
TUNISIA                 46  1   250   3  17  21  62
UNITED KINGDOM          23  4  1814   8   2  42  56
UNITED STATES           30  3  4002   8   3  35  62
URUGUAY                 28  3   767   9  11  25  64
VENEZUELA               46  1   813   9   7  40  53
ZAMBIA                  45  1   138  19  11  55  34
;
PROC PRINT;
title 'Socioeconomic data for 35 countries';
 
PROC PRINCOMP OUT=PCA;
 
PROC SORT;
     BY PRIN1;
 
PROC IDPLOT METRIC;
     PLOT PRIN2 * PRIN1 = CTY;
