options ls=80;
DATA STACK;         *-- DATA FROM DANIEL & WOOD 1971;
/* The data represent 21 successive days of operation of a
   plant oxidizing ammonia to nitric acid.
   AIRFLO = Flow of air into the plant
   COOL   = Temperature of the cooling water entering a nitric
            acid cooling tower
   ACID   = Concentration of nitric acid in the absorbing liquid
            (coded for ease of hand calculation by subtracting 50
            and multiplying by 10)
   STAKLOSS = The response, 10 times the percentage of ingoing ammonia
            that is lost as unabsorbed nitric acid. It is an indirect
            measure of the yield of nictric acid in the operation of
            the plant
 
Source: Daniel & Wook, "Fitting Equations to Data", Wiley, 1971
          (Table 5.1, p61)
Also  : Brownlee, "Statistical theory and methodology in science
          and engineering", Wiley, 1965 (Section 13.12)
        Draper & Smith, "Applied Regression Analysis"(Ch.6)
          pp204-216.
*----------------------------------------------------------------*/
    INPUT AIRFLO COOL ACID STAKLOSS;
    LABEL AIRFLO=AIRFLOW
          COOL=COOLING WATER INTAKE TEMP
          ACID=ACID CONCENTRATION
          STAKLOSS=STACK LOSS;
    TIME=_N_;
cards;
80 27 89 42
80 27 88 37
75 25 90 37
62 24 87 28
62 22 87 18
62 23 87 18
62 24 93 19
62 24 93 20
58 23 87 15
58 18 80 14
58 18 89 14
58 17 88 13
58 18 82 11
58 19 93 12
50 18 89  8
50 18 86  6
50 19 72  8
50 19 79  8
50 20 80  9
56 20 82 15
70 20 91 15
;
proc print;
     Id Time;
proc reg;
     model stakloss=airflo cool acid / r influence;
     Id Time;
     Output out=Res P=Predict R=Residual;
Proc Plot;
     Plot Residual*Predict;
     Plot Residual*Time;
     Plot Stakloss*Time;
