Title 'SAS/Graph box-and-whisker plots';
 /*------------------------*
  |  Test data for BOXPLOT |
  *------------------------*/
proc format;
                /* Format for 1 class variable, CHAR or NUM */
     value grp  1='Group A'  2='Group B'  3='Group C'
                4='Group D'  5='Group E'  6='Group F';
                /* Format for 2 class variables             */
     value ab   1='Grp A-1'  2='Grp A-2'  3='Grp A-3'
                4='Grp B-1'  5='Grp B-2'  6='Grp B-3';
 
data testbox;
   drop n obs;
   group=0;
   do a = 'A', 'B';
      do b = 1 to 3;
         group + 1;
         gr = put(group,grp.);
         if group <4 then n=10;
                     else n=20;
         do obs=1 to n;
            name = put(obs,2.);
            y = group + normal(156863);
            if obs <4 then y = y + 3*normal(156863);  /* add outliers */
            y = round(y, .1);
            output;
         end;
      end;
   end;
run;
 /*------------------------------------------------*
  | Test with 2 class variables, 1 CHAR, 1 NUMERIC |
  *------------------------------------------------*/
title h=1.5 'Notched Boxplot: 2 x 3 design';
%boxplot(data=testbox,
     class= a b,
     var=y,
     id=name,
     notch=1,                    /* 1=do notched boxplots        */
     f=0.4,                      /* Notch depth,  0<= F <= 1     */
     connect=0,                  /* do not connect medians       */
     classfmt=ab.,               /* Format for class variables   */
     varlab=Score,
     classlab=Group,
     name=GB0608);
