%gstart(win);
* use VSIZE/HSIZE to make the plot square, VORININ/HORIGIN to center the plot ;
goptions /* device=hp7475a rotate=portrait */
         ftext=duplex htext=1.4
         vsize=6 in  vorigin=1.0 in
         hsize=7 in  horigin=0.5 in;
title h=1.5 "Sensory Evaluation Data for Peach Puree";
*include MStars;
 
data means lsd;
  input type$ mat fa fu fb fso fs fp con ap ac cob cg;
  if type='MEAN' then output means;
     else output lsd;
* format mat roman4. ;
  label mat='Maturity'      ap ='Aroma Peach'        ac ='Aroma Cook'
        con='Consistency'   cob='Color Orange-Brown' cg ='Color Green'
        fp ='Flavor Peach'  fs ='Flavor Sweet'       fso='Flavor Sour'
        fb ='Flavor Bitter' fu ='Flavor Unripe'      fa ='Flavor Astringent' ;
cards;
MEAN    2   4.1  6.3  3.2  6.0  2.3  2.8  3.0  3.4  2.7  2.6  5.0
MEAN    4   4.3  5.4  3.1  6.0  2.3  3.2  2.5  4.3  2.8  2.2  4.3
MEAN    6   2.0  2.2  1.6  2.8  5.4  6.3  2.2  6.2  3.5  3.1  2.1
LSD     .   1.5  1.7  1.4  1.1  0.9  1.1  0.7  1.2  1.1  1.3  0.9
run;
 
*One symbol statement for each level of the CLASS variable;
symbol1 c=green   i=join l=1 f=marker v='W' w=5;
symbol2 c=blue    i=join l=2 f=marker v='C' w=5;
symbol3 c=red     i=join l=3 f=marker v='V' w=5;
%MStars(data=means,      /*SASDS containing data*/
        errorbar=lsd,    /*SASDS containing errorbar lengths*/
        class=mat,       /*Variable identifing stars*/
        var=fa fu fb fso fs fp con ap ac cob cg, /*Variables identifying  rays*/
        minimum=1, maximum=9, nticks=9,  /*Absolute scale 1-9 w/ 9 ticmarks*/
        minray=.1,       /*Offset rays from center    */
        symbols=No,      /*Use symbol statements above*/
        circle=No,       /*No circle around plot      */
        labsize=1.2      /*Size for var labels        */
        );
