/*-------------------------------------------------------------------*
 * POISDEMO SAS   Demonstrate use of POISPLOT SAS                    *
 *                                                                   *
 *-------------------------------------------------------------------*
 *  Author:  Michael Friendly            <FRIENDLY@YORKVM1>          *
 * Created:  9 May 1991 11:36:27                                     *
 * Revised:  9 May 1991 11:36:27                                     *
 * Version:  1.0                                                     *
 *                                                                   *
 *-------------------------------------------------------------------*/
 
%gstart(win);
%include poisplot;
goptions vsize=6.7 hsize=7;
title h=1.5 'Poissoness Plot: Deaths by Horsekicks' ;
data horskick;
    input deaths corpsyrs;
cards;
    0    109
    1     65
    2     22
    3      3
    4      1
;
%poisplot(data=horskick,
          count=Deaths,label=Number of Deaths,freq=corpsyrs);

title h=1.5 'Levelled Poissoness Plot: Deaths by Horsekicks' ;
data horskick;
    input deaths corpsyrs;
cards;
    0    109
    1     65
    2     22
    3      3
    4      1
;
*poisplot(data=horskick,
          count=Deaths,label=Number of Deaths,freq=corpsyrs,
          lambda=.610);
*gskip;
title h=1.4 "Poissoness plot: Instances of 'may' in Federalist papers" ;
data madison;
   input count blocks;
cards;
  0    156
  1     63
  2     29
  3      8
  4      4
  5      1
  6      1
;
%poisplot(data=madison,count=Count,
          label=%str(Occurrences of 'may' per block),
          freq=blocks);
%gfinish;
