title 'Three-Way ANOVA';
Proc Format;
   Value Bfmt 1='Low'     2='Med'      3='High'     ;
   Value Cfmt 1='Minimum' 2='Maximum';
/*
The data given by Keppel consist of cell sums, and the MSE
*/
Data recall;
   Label A='Retention Interval (hours)'
         B='Material'
         C='Activity'
         Y='Words Recalled';
   Input A B C SUM;
   mean = sum / 15;
cards;
1 1 1  205
1 2 1  210
1 3 1  208
4 1 1  198
4 2 1  193
4 3 1  197
7 1 1  182
7 2 1  177
7 3 1  179
1 1 2  209
1 2 2  203
1 3 2  211
4 1 2  178
4 2 2  182
4 3 2  197
7 1 2  146
7 2 2  169
7 3 2  182
;
*-- Note that both N and MSE are given as constants;
%stat2dat(data=recall, out=recdat,
	class=A B C, n=15, mean=mean, mse=1.49, depvar=Y);

Proc GLM;
   Class A B C;
   Model Y = A B C A*B A*C B*C A*B*C;
	freq freq;