%macro GDISPLA(switch);
%*---------------------------------------------------------*;
%* Macro to turn display on/off for GREPLAY in a device-   *;
%* and version-independent way.  Allows for the fact that  *;
%* for direct output to the display device, the options are*;
%* NODISPLAY/DISPLAY, whereas for output to a GSF file,    *;
%* the options are GSFMODE=NONE/APPEND                     *;
%* Usage:                                                  *;
%*   %global DEVTYPE                                       *;
%*   %let DEVTYPE = SCREEN | other                         *;
%*   %GDISPLA(OFF) -- turn display off                     *;
%*    -- generate graphs to a gout catalog                 *;
%*   %GDISPLA(ON ) -- turn display on                      *;
%*   proc greplay                                          *;
%*---------------------------------------------------------*;
   %let switch=%upcase(&switch);
run;
   %if &switch=ON %then %do;
       %if &DEVTYPE=SCREEN /*and &sysver=5.18 */
           %then %str(GOPTIONS DISPLAY;);
           %else %str(GOPTIONS GSFMODE=APPEND;);
       %end;
   %else %if &switch=OFF %then %do;
       %if &DEVTYPE=SCREEN /*and &sysver=5.18  */
           %then %str(GOPTIONS NODISPLAY;);
           %else %str(GOPTIONS GSFMODE=NONE;);
       %end;
   %else %put ERROR in GDISPLA: SWITCH must be ON or OFF;
%mend GDISPLA;
