title 'Alzheimer data: Discriminant analysis';
%include data(alzheim);

proc summary data=alzheim;
   class group;
   var trecall hirecall lirecall tunrem hiunrem liunrem store recog;
   output out=means
     mean=  trecall hirecall lirecall tunrem hiunrem liunrem store recog;
   title2 'Descriptive statistics';
proc print split=' ';
   id group _freq_;
   var trecall hirecall lirecall tunrem hiunrem liunrem store recog;
   format trecall hirecall lirecall recog 7.3
          tunrem hiunrem liunrem store 7.4;
proc plot data=means hpercent=50 vpercent=50;
   where (_type_>0);
   plot trecall * group = 'T'
        hirecall* group = 'H'
        lirecall* group = 'L' / overlay;
   plot tunrem  * group = 'T'
        hiunrem * group = 'H'
        liunrem * group = 'L' / overlay;
   plot store   * group = group;
   plot recog   * group = group;
   title2 'Group Means';
run;
proc candisc data=alzheim anova distance;
   class group;
   var hirecall lirecall hiunrem liunrem store recog;
   title2 'Canonical Discriminant Analysis';
 
proc discrim data=alzheim  ;
   class group;
   priors prop;
   var hirecall lirecall hiunrem liunrem store recog;
   title2 'Linear Discriminant Analysis';
 
proc discrim data=alzheim pool=test slpool=.01 short;
   class group;
   priors prop;
   var hirecall lirecall hiunrem liunrem store recog;
   title2 'Discriminant Analysis test Equality of Covariance Matrices';
   run;
