 /****************************************************************/
 /*          S A S   S A M P L E   L I B R A R Y                 */
 /*                                                              */
 /*    NAME: PARTCORR                                            */
 /* TITLE: Partial correlations demonstration                    */
 /*    KEYS: REGR MULTIV                                         */
 /*   PROCS: CANCORR FACTOR GLM PRINCOMP                         */
 /*                                                              */
 /****************************************************************/
DATA SCORES; DROP N C;
LABEL MAT_TEST = 'Math test score'
      VER_TEST = 'Verbal test score'
      CRE_TEST = 'Creativity test score'
      MAT_GRAD = 'Mathematics grade'
      ENG_GRAD = 'English grade'
      SCI_GRAD = 'Science grade'
      HIS_GRAD = 'History grade';
DO N = 1 TO 50;            *-- Generate some correlated data--;
  C = NORMAL(12345) * .5;
  MAT_TEST= NORMAL(55555) + C;
  VER_TEST= NORMAL(33333) + C;
  CRE_TEST= NORMAL(11111);
  MAT_GRAD= NORMAL(76543)+ 1.*MAT_TEST- .5*VER_TEST+ .2*CRE_TEST;
  ENG_GRAD= NORMAL(98765)+ .1*MAT_TEST+  1*VER_TEST+ .3*CRE_TEST;
  SCI_GRAD= NORMAL(99999)+ .5*MAT_TEST- .3*VER_TEST+ .1*CRE_TEST;
  HIS_GRAD= NORMAL(78987)- .2*MAT_TEST+ .5*VER_TEST- .1*CRE_TEST;
  OUTPUT;
  END;
title 'Simple, Partial & Canonical Correlations';
proc corr nosimple noprob;
   var MAT_GRAD ENG_GRAD SCI_GRAD HIS_GRAD;
   title2 'Simple Correlations among GRADES (ignoring TESTS)';
proc corr nosimple noprob;
   var MAT_GRAD ENG_GRAD SCI_GRAD HIS_GRAD;
   PARTIAL MAT_TEST VER_TEST CRE_TEST;
   title2 'Partial Correlations among GRADES, partialling TESTS';
run;
 
PROC GLM;
   TITLE2 'Method 2:  using PROC GLM with MANOVA / PRINTE stmt ';
  *     ---- Independent Variables --------   ---- Partialled Vars ---;
  MODEL MAT_GRAD ENG_GRAD SCI_GRAD HIS_GRAD = MAT_TEST VER_TEST CRE_TEST
         / NOUNI;
  MANOVA / PRINTE;
run;
 
*---- CANONICAL CORRELATIONS analysis -----;
PROC CANCORR DATA=SCORES OUT=CV  redundancy
     vprefix = test    vname = 'High School Test Scores'
     wprefix = grade   wname = 'College Grades';
title 'Canonical correlation analysis';
     VAR MAT_TEST VER_TEST CRE_TEST;
     WITH MAT_GRAD ENG_GRAD SCI_GRAD HIS_GRAD;
proc print data=cv(obs=25);
   title2 'Canonical variables';
PROC CORR NOPROB DATA=CV;
title2 'Correlations among canonical variates';
     VAR TEST1-TEST3 GRADE1-GRADE3;
     run;
