/*--------------------------------------------------------------*
 | Using cluster analysis to interpret MDS solutions.           |
 *--------------------------------------------------------------*/
Options NODATE NONUMBER PS=54 LS=72;
Title 'Similarities of Automobiles';
data DISSIM;
   input MAKE $1-9 NAME  $10-17
         @20 (MUSTANG CADILAC LINCOLN FORD CORVETTE CHEVETTE NISSAN RENAULT
              PORSCHE JAGUAR MERCEDES) (3.0);
   Drop MAKE;
   If NAME=' ' then NAME=MAKE;
cards;
Mustang             .
Cadillac           27  .
Lincoln            26 01  .
Ford     Escort    17 38 39  .
Corvette           13 28 29 36  .
Chevette           25 41 42 10 35  .
Nissan   300ZX     15 32 30 45 09 48  .
Renault            24 40 02 12 43 11 34  .
Porsche            16 33 31 46 08 49 14 44  .
Jaguar             37 07 05 50 18 52 19 51 21  .
Mercedes           47 06 04 53 23 55 22 54 20 03  .
;
proc mds    data=DISSIM        /* Obtain 2D solution */
           level=ORDINAL
           shape=SYMMETRI
             out=CONFIG oconfig;
run;
data CONFIG;                   /* Add auto labels to dataset*/
     Merge CONFIG(drop=_MATNUM_ _DIMENS_)
           DISSIM(keep=NAME);
     Label Dim1='DIMENSION 1'
           Dim2='DIMENSION 2';
 
title2 'Using Cluster Analysis to interpret MDS spaces';
proc cluster data=CONFIG outtree=TREE method=COMPLETE RSQ;
   var DIM1 DIM2;
   id  NAME;
proc tree data=TREE spaces=3 pos=30;
run;
