title "Testing Equivalence of measures: Lord's Vocabulary Data";
data lord(type=cov);
   input _type_ $ _name_ $  x1 x2 y1 y2;
cards;
n    .  649       .       .       .
cov  x1 86.3937   .       .       .
cov  x2 57.7751 86.2632   .       .
cov  y1 56.8651 59.3177 97.2850   .
cov  y2 58.8986 59.6683 73.8201 97.8192
mean .   0       0       0       0
;
title "Lord's data: H4- unconstrained two-factor model";
proc calis data=lord
     cov
     short;
   lineqs  x1  = beta1 F1  + e1,
           x2  = beta2 F1  + e2,
           y1  = beta3 F2  + e3,
           y2  = beta4 F2  + e4;
   std  F1 F2 = 1 1,
        e1 e2 e3 e4 = ve1 ve2 ve3 ve4;
   cov  F1 F2 = rho;
run;
 
title "Lord's data: H3- rho=1, one-congeneric factor";
proc calis data=lord cov summary;
   lineqs  x1  = beta1 F1 + e1,
           x2  = beta2 F1 + e2,
           y1  = beta3 F2 + e3,
           y2  = beta4 F2 + e4;
   std  F1 F2 = 1 1,
        e1 e2 e3 e4 = ve1 ve2 ve3 ve4;
   cov  F1 F2 = 1;
run;
 
title "Lord's data: H2- W and X parallel, Y and Z parallel";
proc calis data=lord cov summary;
   lineqs  x1  = betax F1  + e1,
           x2  = betax F1  + e2,
           y1  = betay F2  + e3,
           y2  = betay F2  + e4;
   std  F1 F2 = 1 1,
        e1 e2 e3 e4 = vex vex vey vey;
   cov  F1 F2 = rho;
run;
title "Lord's data: H1- W and X parallel, Y and Z parallel, rho=1";
proc calis data=lord cov summary;
   lineqs  x1  = betax F1  + e1,
           x2  = betax F1  + e2,
           y1  = betay F2  + e3,
           y2  = betay F2  + e4;
   std  F1 F2 = 1 1,
        e1 e2 e3 e4 = vex vex vey vey;
   cov  F1 F2 = 1;
run;
