data lord(type=cov);
   input _type_ $ _name_ $  x1 x2 y1 y2;
cards;
n   .  649       .       .       .
cov x1 86.3937   .       .       .
cov x2 57.7751 86.2632   .       .
cov y1 56.8651 59.3177 97.2850   .
cov y2 58.8986 59.6683 73.8201 97.8192
;
title "Lord's data: H4- unconstrained two-factor model";
proc calis data=lord cov;
   lineqs  x1 = beta1 F1  + e1,
           x2 = beta2 F1  + e2,
           y1 = beta3 F2  + e3,
           y2 = beta4 F2  + e4;
   std  F1 F2 = 1,
        e1 e2 e3 e4 = ve1 ve2 ve3 ve4;
   cov  F1 F2 = rho;
run;
 
*-- Same model represented as a path (RAM) model;
proc calis data=lord cov;
/*  matrix, or number of heads on arrow in path diagram
        |  row, node pointed to
        |   |  col, or node arrow leaves from
        |   |   |   parameter or value
        |   |   |     |
        v   v   v     v                                 */
   ram  1   1   5   beta1,
        1   2   5   beta2,
        1   3   6   beta3,
        1   4   6   beta4,
        2   1   1   ve1,
        2   2   2   ve2,
        2   3   3   ve3,
        2   4   4   ve4,
        2   5   5   1,
        2   6   6   1,
        2   5   6   rho;
run;
