title 'Demonstration of Partial Linear Independence principle';
/*
   Generate two factors, MATH and VERBAL.  Then construct some
   observed variables as linear combinations of these.
*/
data scores; drop n;
   do N = 1 to 800;            *-- number of observations;
     MATH  = normal(55555) ;
     VERBAL= normal(33333) ;
     MAT_TEST= normal(76543) + 1.*MATH - .2*VERBAL;
     ENG_TEST= normal(98765) + .1*MATH + 1.*VERBAL;
     SCI_TEST= normal(99999) + .7*MATH - .3*VERBAL;
     HIS_TEST= normal(78987) - .2*MATH + .5*VERBAL;
     output;
     end;
   label MATH     = 'Math Ability Factor'
         VERBAL   = 'Verbal Ability Factor'
         MAT_TEST = 'Mathematics test'
         ENG_TEST = 'English test'
         SCI_TEST = 'Science test'
         HIS_TEST = 'History test';
proc corr nosimple noprob;
   var MAT_TEST ENG_TEST SCI_TEST HIS_TEST;
   title2 'Simple Correlations among TESTS';
proc corr nosimple noprob;
   var MAT_TEST ENG_TEST SCI_TEST HIS_TEST;
   partial MATH VERBAL;
   title2 'Partial Correlations among TESTS, partialling Factors';
run;
proc factor nfactor=2 rotate=varimax;
   var MAT_TEST ENG_TEST SCI_TEST HIS_TEST;
   title2 'Retrieving the factor structure';
run;
