/*-------------------------------------------------------------|
 |          Spearman's (1904) Two-Factor Theory                |
 |                                                             |
 |Spearman used this data to argue for a 'two-factor theory'   |
 |of ability in which all correlations among variables could be|
 |accounted for by a single general factor ('ability') plus one|
 |unique factor for each test.                                 |
 |-------------------------------------------------------------*/
title "Spearman's five variables:  Harman, Pp 116,391-392";
 
DATA SPEAR5 (TYPE=CORR LABEL='Spearman''s example');
    INPUT _TYPE_ $ 1-8 _NAME_ $ 9-16
          TEST1 17-20 TEST2 22-25 TEST3 27-30
          TEST4 32-35 TEST5 37-40;
    LABEL TEST1='Mathematical judgement'
          TEST2='Controlled association'
          TEST3='Literary interpretation'
          TEST4='Selective judgement'
          TEST5='Spelling';
    cards;
CORR    TEST1   1.00
CORR    TEST2   .485 1.00
CORR    TEST3   .400 .397 1.00
CORR    TEST4   .397 .397 .335 1.00
CORR    TEST5   .295 .247 .275 .195 1.00
N               100  100  100  100  100
proc print;
/* Note: _TYPE_ = N obs. is necessary for proper Chisq test */
PROC FACTOR data=SPEAR5
     METHOD=ML         /* use maximum likelihood      */
     RESIDUALS         /* print residual correlations */
     NFACT=1;          /* estimate one factor         */
Title2 'Test of hypothesis of one general factor';
run;

