 /****************************************************************/
 /*    NAME: ANCOVA1                                             */
 /*   TITLE: Freund & Littell, SAS FOR LINEAR MODELS, CHAPTER 5  */
 /*    KEYS: ANCOVA                                              */
 /****************************************************************/
OPTIONS LS=80 NODATE;
DATA OYSTER;
   INPUT TRT REP INITIAL FINAL;
CARDS;
 1 1 27.2 32.6
 1 2 32 36.6
 1 3 33 37.7
 1 4 26.8 31
 2 1 28.6 33.8
 2 2 26.8 31.7
 2 3 26.5 30.7
 2 4 26.8 30.4
 3 1 28.6 35.2
 3 2 22.4 29.1
 3 3 23.2 28.9
 3 4 24.4 30.2
 4 1 29.3 35
 4 2 21.8 27
 4 3 30.3 36.4
 4 4 24.3 30.5
 5 1 20.4 24.6
 5 2 19.6 23.4
 5 3 25.1 30.3
 5 4 18.1 21.8
PROC PRINT;
   TITLE 'Freund & Littell: Table 5.1';
   TITLE2 'DATA FOR ANALYSIS OF COVARIANCE';
Proc Summary;
   Class TRT;
   Var initial final;
   Output Out=means mean=initial final;
PROC PRINT;
PROC GLM data=OYSTER; CLASS TRT;
   MODEL FINAL=TRT INITIAL / SOLUTION;
   TITLE 'Freund & Littell: Table 5.2';
   TITLE2 'RESULTS OF ANALYSIS OF COVARIANCE';
 
PROC GLM data=OYSTER; CLASS TRT;
   MODEL FINAL=TRT INITIAL;
   LSMEANS TRT / E STDERR PDIFF;
   output out=RESULTS p=PREDICT;
   TITLE 'Freund & Littell: Table 5.3';
   TITLE2 'RESULTS OF ANALYSIS OF COVARIANCE:';
   TITLE3 'ADJUSTED TREATMENT MEANS (LEAST-SQUARES MEANS)';
Proc Plot data=RESULTS;
   Plot PREDICT * INITIAL = TRT / href=25.76;
   title2 'Treatment regression lines (predicted values)';
 
PROC GLM data=OYSTER;
   CLASS TRT;
   MODEL FINAL=TRT INITIAL;
*  LSMEANS TRT / E STDERR PDIFF;
   CONTRAST 'CONTROL V TREATMENT' TRT  -1 -1 -1 -1  4 ;
   CONTRAST 'BOTTOM V TOP'        TRT  -1  1 -1  1    ;
   CONTRAST 'INTAKE V DISCHARGE'  TRT  -1 -1  1  1    ;
   CONTRAST 'BOT/TOP * INT/DIS'   TRT   1 -1 -1  1    ;
   TITLE 'Freund & Littell: Table 5.4';
   TITLE2 'RESULTS OF ANALYSIS OF COVARIANCE:';
   TITLE3 'ORTHOGONAL CONTRASTS';
run;
