*include FPOWER;
Title 'Power computations for F-test in Balanced Designs';
 
 /*   FPOWER prints a table of power values for the design      */
 /* you specify. The rows give various sample sizes (per group) */
 /* and the columns give various values for the size of effect. */
 
 /*   The values A, B, C specify the number of levels for       */
 /*   up to 3 factors in a design.  Power is calculated         */
 /*   for factor A, for a test at the specified ALPHA.          */
 
* The "effect size" is specified by DELTA. Assuming that only the
  extreme factor levels have NON-ZERO effects, and
            T1 = GM - DELTA/2
            Tk = GM + DELTA/2
  where DELTA is specified in units of SIGMA = SQRT(MSE)
  That is, DELTA here corresponds to Delta/sigma ;
 
               /* Get power table for One-Way design, A=3,  */
               /*     alpha=.05 (default)                   */
%FPOWER(A=3,deltas=0 to 2.0 by .25);
