TITLE ----- THREE FACTOR DESIGN WITH REPEATED MEASURES -------;
 
* SOURCE: WINER, 1971, P.564 & SAS USERS' GUIDE:STATISTICS ;
 
DATA A;
        INPUT SUBJ A B C1-C4;
        LABEL A=ANXIETY
                B=TENSION
                SUBJ=SUBJECT
                C1=ERRORS TRIAL 1
                C2=ERRORS TRIAL 2
                C3=ERRORS TRIAL 3
                C4=ERRORS TRIAL 4;
        CARDS;
 1 1 1 18 14 12 6
 2 1 1 19 12  8  4
 3 1 1 14 10  6  2
 4 1 2 16 12 10  4
 5 1 2 12  8  6  2
 6 1 2 18 10  5  1
 7 2 1 16 10  8  4
 8 2 1 18  8  4  1
 9 2 1 16 12  6  2
10 2 2 19 16 10  8
11 2 2 16 14 10  9
12 2 2 16 12  8  8
;
PROC PRINT;
        TITLE2 ORIGINAL DATA;
DATA B;         *-- RAVEL TO 4 OBS PER SUBJECT;
        SET A;
        DROP C1-C4;
        ARRAY  R(C)     C1-C4;
        DO C = 1 TO 4;
        RESPONSE = R ;
        OUTPUT;
        END;
PROC PRINT;
        TITLE2 RAVELLED DATA;
PROC SPLOT DATA=B;
        CLASS A B ;
        VAR RESPONSE ;
        TITLE2 BETWEEN-GROUP EFFECTS;
PROC SORT DATA=B OUT=BS;
PROC SPLOT DATA=BS;
        CLASS C ;
        VAR RESPONSE ;
        TITLE2 WITHIN-GROUP EFFECTS;
PROC GLM  DATA=B;
        CLASS A B SUBJ C;
        MODEL  RESPONSE = A  B  A*B  SUBJ(A B)
                          C  A*C  B*C  A*B*C;
        RANDOM SUBJ(A B);
        TEST  H = A  B  A*B
              E = SUBJ(A B);
        TITLE2 BALANCED DESIGN, MIXED MODEL ANALYSIS;
run;
/* 
PROC BMDP  PROG=BMDP2V;
        VAR SUBJ  A  B  C1-C4;
PARMCARDS;
/PROBLEM  TITLE IS 'MIXED MODEL ANALYSIS OF 2 BETWEEN 1 WITHIN'.
/INPUT    UNIT=3.
          CODE='A'.
/VARIABLE NAMES = SUBJ A B C1 C2 C3 C4.
/DESIGN   GROUPING = A B.
          DEPENDENT = C1, C2, C3, C4.
          LEVELS    = 4.
          NAME      = C.
        ORTHOGONAL.
        SYM.
        PRINT.
/END.
*/

