title 'Properties of determinants';
proc iml;  reset print log;
   /*----------------------------------------*
    | IMLDET1: Properties of determinants    |
    *----------------------------------------*/
   A = {3 1, 2 4};
   r = det(A);
 
 *-- 1. Interchange rows or cols -> -1 # det(A);
   r = det(A[{2 1},]);
   r = det(A[,{2 1}]);
 
 *-- 2. transpose -> det a unchanged;
   r = det( A`);
 
 *-- 3. multiply row # k -> k # det a;
   r = diag({3 1}) * A;
   r = det( diag({3 1})  * A);
 
 *-- 4. multiply matrix # k -> k**2 # det(a);
   r = det(3 # A);
 
 *-- 5. det (a * b) ->  det(a) #  det(b);
   B={ 4 2, 3 5};
   r = det(B);
   r = det(A * B);
   r = det(A) # det(B);
 
 *-- 6. proportional rows -> det = 0;
   C={1 5, 2 6, 4 4};
   C=C || C[,1];
   r = det(C);
 
 *-- 7. Add multiple of one row to another -> det unchanged;
   A[2,] = A[2,] - 2#A[1,];
   r = det(A);
quit;

