title 'IMLEIG: Eigenvalues and Eigenvectors';
    *  ------  ---------------------------- ;
proc iml;
   reset print log fuzz fw=5;
*[Johnson and Wichern, EX.2.9],;
A={13 -4 2, -4 13 -2, 2 -2 10};
call eigen(values, vectors, A);
*-- Properties of eigenvalues;
*-- 1. trace(A) = sum of eigenvalues;
r = sum(values);
r = sum(vecdiag(A));
*-- 2. ssq(A) = ssq(eigenvalues);
print (ssq(A)) '=' (ssq(values));
*-- 3. det(A) = product of eigenvalues;
print (det(A)) '=' (values[#]);
*-- 4. rank a = number non-zero latent values;
r = echelon(A);
rank = (((echelon(A)^=0)[,+]) ^=0)[+,];
rank = sum(values ^= 0);
*-- 5. eigenvalues of inv(A) = 1/eigenvalues of A, same vectors;
AI = inv(A);
call eigen(val, vec, AI);
* similar relation for other powers: roots(A##n) = (roots(A) ## n);
call eigen(val, vec, A*A);
call eigen(val, vec, A*A*A);
page;
*-- SPECTRAL DECOMPOSITION WITH ROOTS AND VECTORS;
A={13 -4 2, -4 13 -2, 2 -2 10};
call eigen(L, V, A);
*-- 1. A * V[,I] = L[I]  #  V[,I];
r = A * V[,1];
r = L[1] # V[,1];
print A '*' (V[,1]) '=' (A*V[,1]) '=' (L[1]) '#' (V[,1]);
r = A * V;
r = V  *  diag(L);
print A '*' V  '='  V '*' (diag(L)) ;
* V diagonalizes A: V'AV = diagonal;
r = t(V) * A * V;
*-- 2. Eigenvectors are orthogonal and unit length: V'V=I;
r = t(V) * V;
* 3. SPECTRAL DECOMPOSITION: A = sum of rank 1 products;
A1 = L[1] # V[,1] * t(V[,1]);
A2 = L[2] # V[,2] * t(V[,2]);
A3 = L[3] # V[,3] * t(V[,3]);
r = A1 + A2 + A3;
r = ssq(A);
r = ssq(A1) || ssq(A2) || ssq(A3);
*-- Each root is sum of squares accounted for;
r = L##2;
*--The first i roots and vectors give a rank i approximation;
r = echelon(A1+A2);
r = ssq(A1+A2);
quit;

