title 'IMLINV2: Matrix inversion by elementary row operations';
proc iml; reset print log;
   *--Gauss-Doolittle method;
 
   A = {1 2 3,  2 3 0,  0 1 2};
   *--Join an identity matrix to A;
   IA =  I(3) || A;
 
   *--Apply elementary row operations to reduce A to an identity
      matrix. The left three cols will then contain inv(A);
 
   *-- 1. ROW 2 <- ROW 2 - 2 # ROW 1;
   IA[2,] = IA[2,] - 2#IA[1,];
 
   *-- 2. ROW 3 <- ROW 3 + ROW 2;
   IA[3,] = IA[3,] + IA[2,];
 
   *-- 3. ROW 3 <- -.25 # ROW 3;
   IA[3,] =  -.25 # IA[3,];
   *--continue, making off-diag =0;
   IA[2,] = -1 # IA[2,] ;
 
   IA[2,] = IA[2,] - 6 # IA[3,];
   *-- row 1 <- row 1 - 2 # row 2;
   IA[1,] = IA[1,] - 2 # IA[2,];
 
   IA[1,] = IA[1,] - 3 # IA[3,];
 
   *-- first three cols are the inverse;
   AI=IA[,{1 2 3}];
   *-- compare with inv();
   r = inv(A);
quit;

