title 'IMLMAT4: Properties of matrix multiplication';
proc iml;
   reset print log fuzz fw=4;
* PROPERTIES OF MATRIX MULTIPLICATION;
A = {1 2, 3 4};
B = {1 1 1, 2 2 2};
C = {5 5, 6 6, 7 7};
*-- 1. Associative law: A(BC) = (AB)C = ABC;
print (A) '*' (B * C) ' =' ( A*B*C);
print (A * B) '*' (C) ' =' ( A*B*C);
*-- 2. Distributive laws:;
*    (A+B)C = AC + BC;
*    A(B+C) = AB + AC;
B = {1 1, 2 2};
C = {5 10, 5 10};
print (A+B) '*' (C) ' =' ((A+B) * C);
print (A * C) '+' (B * C) '=' ((A+B) * C);
*-- 3. Multiplication by IDENTITY: A I = I A = A;
A = {1 2 3, 4 5 6};
print (A) ' * ' ( I(3) ) '=' (A  *  I(3));
print ( I(2) ) ' * ' (A) '=' (( I(2) )  *  A);
*-- 4. Multiplication by ZERO: A 0 = 0 A = 0;
print (A) ' * ' ( J(3,3,0) ) '=' (A * J(3,3,0));
print ( J(2,2,0) ) ' * ' (A) '=' (( J(2,2,0) ) *  A);
*-- 5. Transpose of product: (AB)` = B` A';
B = {1 1, 2 2, 3 3};
print 't(' (A) '*' (B) ') = '  (t(A  *  B));
print (t(B)) '*' (t(A)) ' = ' (t(A  *  B));
*   SAME RULE FOR 3 OR MORE: (ABC)' = C' B' A';
print 't(' A '*' B '*' C ') = '  (t(A * B * C));
print (t(C)) '*' (t(B)) '*' (t(A)) ' = ' (t(A * B * C)) ;
*-- 6. Matrix multiplication is (generally) not COMMUTATIVE;
*    A*B ^=B*A;
print (A * B) '^=' (B * A);
quit;

