set width=120.
title "Logistic Regression Women's Labour Force Participation Data".
 
data list file='k:\home\sasuser\psy6140\examples\logistic\wlfpart.dat' fixed/
  case 1-3 labour 4-6 husinc 7-10 children 11-13 region 15-16.
 
recode labour (1=1) (2=0) (else=sysmis) into working.
value labels
   children 0 'Children absent'    1 'Children present' /
   region   1 'Atlantic Canada'    2 'Quebec'
            3 'Ontario'            4 'Prairie provinces'
            5 'British Columbia'.
 
logistic regression working with husinc children region /
  categorical=region children/
  contrast(region)=indicator/
  contrast(children)=indicator(1)/
  fstep husinc children region/
  save lresid(rlogit) sresid(rstudent) lever(hatvalue) cook(cookd)
       dfbeta(dfbeta).
 
var labels
  rlogit 'Logit Residual'/
  rstudent 'Studentized Residual'/
  cookd "Cook's D".
