title 'Lurking variables: Turnip Green Data';
*----------------- DATA ON TURNIP GREEN ------------------------*
|   "The data below ... relate to a study of the quantity of    |
| vitamin B2 in turnip green ....  the variables are            |
|       sun   = radiation in relative gram calories per minute  |
|               during the preceding half day of sunlight,      |
|       soil  = average soil moisture tension,                  |
|       air   = air temperature in degrees fahrenheit, and      |
|       y    = milligrams of vitamin b2 per gram of turnip green|
| These data were used by R. L. Anderson and T. A. Bancroft in  |
| 'Statistical theory in research' ... to fit the model:        |
|   y = b0 + b1*x1 + b2*x2 + b3*x3 + b12*x1*x2 + epsilon."      |
|       b0, b1, b2, b3, and b12 are the parameters of the model,|
|       and epsilon is a random variable representing error.    |
|   from Draper and Smith, "Applied regression analysis."       |
*---------------------------------------------------------------*;
Title 'Turnip green data';
data turnip;
     input sun soil air y;
     order = _n_;
label  sun   = 'Solar radiation preceding half day'
       soil  = 'Average soil moisture'
       air   = 'Air temperature (f)'
       y     = 'Vitamin B2 in turnip green (mg/gram)'
       order = 'Data order';
cards;
176  7.0 78 110.4
155  7.0 89 102.8
273  7.0 89 101.0
273  7.0 72 108.4
256  7.0 84 100.7
280  7.0 87 100.3
280  7.0 74 102.0
184  7.0 87  93.7
216  7.0 88  98.9
198  2.0 76  96.6
 59  2.0 65  99.4
 80  2.0 67  96.2
 80  2.0 62  99.0
105  2.0 70  88.4
180  2.0 73  75.3
180  2.0 65  92.0
177  2.0 76  82.4
230  2.0 82  77.1
203 47.4 76  74.0
191 47.4 83  65.7
191 47.4 82  56.8
191 47.4 69  62.1
 76 47.4 74  61.0
213 47.4 76  53.2
213 47.4 69  59.4
151 47.4 75  58.7
205 47.4 76  58.0
;
*-- The original model used all three predictors;
proc reg;
     model y=sun soil air / partial;
     id order;
     output out=results p=fit r=residual;
proc plot hpercent=50 vpercent=50;
     plot residual * fit
          residual * order;
     *-- but, lets try plotting the data against time order!;
     plot y * order = soil;
proc reg data=turnip;
     model y=order;
