title 'Outlier demonstration: 2 variables';
options ls=78 nodate;
data outlier1;
   do i = 1 to 100;
      x1 = normal(33445);         *-- Correlated bivariate normal;
      x2 = x1 + normal(22345)/20;
      output;
      end;
   *-- Generate two additional obs;
   x1 = 1.5; x2 = -1.5; output;
   x1 =-1.5; x2 =  1.5; output;
 
options ps=25;
proc chart;
   hbar x1 x2 / freq;
   title2 'Charts of X1 & X2 show nothing strange';
 
proc plot;
   plot x2 * x1;
   title2 'Two-way plot shows outliers';
options ps=45;run;
title 'Outlier demonstration: 3 variables';
data outlier2;
   drop i sum;
   do i = 1 to 100;
      x1 = uniform(54321);
      x2 = uniform(54321);
      x3 = uniform(54321);
      sum= sum(of x1-x3);
      x1 = x1 / sum;      *-- introduce negative correlations;
      x2 = x2 / sum;
      x3 = x3 / sum;
      output;
   end;
 
   x1 = .1; x2 = .1; x3 = .1; output;       /* outlier */
   x1 = .15; x2 = .05; x3 = .1; output;     /* outlier */
options ps=60;
proc plot hpercent=50 vpercent=50 nolegend;
   plot x2 * x1
        x3 * x1
        x3 * x2 ;
   title2 'Can you spot the outliers?';
 
*--- Compute standardized principal component scores;
*    (just a rotation of the data in 3-space);
proc princomp std noprint out=prin;
   var x1-x3;
   title2 'Outliers show up on last component';
proc plot hpercent=50 vpercent=50 nolegend;
   plot prin2 * prin1
        prin3 * prin1
        prin3 * prin2 ;
run;
options ps=25;
proc chart;
   hbar prin1-prin3 / freq;
