%include goptions;
goptions vsize=8;
title 'Multivariate outlier detection - Mammals Teeth data';
%include data(teeth);
*include outlier;
 
%outlier(data=teeth,
         var=v1-v8, id=mammal, out=chiplot);
 
data labels;
   set chiplot;
   if prob < .05;
   xsys='2'; ysys='2';
   y = dsq;
   n + 1;
   if mod( n ,2) = 0 then do;     * alternate label position;
      x = 0.98*expected; position = '4';
      end;
   else do;
      x = 1.02*expected; position = '6';
      end;
   function = 'LABEL';
   text = mammal;
   size = 1.4;
proc gplot data=chiplot &GOUT ;
   plot dsq      * expected = 1
        expected * expected = 2
        / overlay anno=labels
          vaxis=axis1 haxis=axis2
          vminor=1 hminor=4
          name='GB0904' ;
   symbol1 f=special v=K h=1.5 i=none c=black;
   symbol2 v=none i=join c=red;
   label dsq     ='Squared Distance'
         expected='Chi-square quantile';
   axis1 label=(a=90 r=0 h=1.5 f=duplex) label=(h=1.3);
   axis2 order=(0 to 20 by  5) label=(h=1.5 f=duplex) label=(h=1.3);
   title h=1.5 'Outlier plot for Mammals teeth data';
%gfinish;
