/* title 'Some useful IML modules for matrix operations'; */
 
   *-- Define a function module to find the rank of a matrix;
start r(A);
    reset noprint;
   *-- rank of a matrix (cant call it rank, since that name
       is used for sorting);
   *-- rank = number of nonzero rows/cols in echelon form;
   e = echelon(A);
   do i=1 to nrow(e);   *-- Find rows which are not all zero;
      if any( e[i,] <> 0 ) then rows = rows || i;
      end;
   e = e[rows,];        *-- Keep only non-zero rows;
   do i=1 to ncol(e);   *-- Find cols which are not all zero;
      if any( e[,i] <> 0 ) then cols = cols || i;
      end;
   e = e[,cols];        *-- Keep only non-zero cols;
   reset print;
   return( min( nrow(e), ncol(e)) );
   finish;
 
 
 *--define a function module to compute cofactor;
start cofactor(A,i,j);
   reset noprint;
   size = nrow(A);                *size of matrix;
   rows = loc( (1:size) ^= i );   *delete row i;
   cols = loc( (1:size) ^= j );   *delete col j;
   minor = det( A[rows,cols] );
   reset print;
   return ( ((-1)##(i+j)) # minor );
finish;
 
   *-- projection of y on X;
start proj(y,X) global(P);
   reset noprint;
   if nrow(X)=1 then X = X`;
   XPX = X` * X;
   P = X * ginv(XPX) * X`;
   reset print;
   return( P * y );
   finish;
 
   *-- Define a length function (LEN);
start len(X);
   return (sqrt( X[##,] ));
   finish;
